local HorseTraders = ...;
local multiplier = 3;

HorseTraders:log("Starting Myddle trader update");

HorseTraders:register({
    DataType = "TRADING_VILLAGE",

    Id = "VILLAGE_MYDDLE_STRONG",
    VillageName = "Myddle - Strong traders",

    ResourceTradingReplenishDelay = 0.8,
    Allegeance = "CLERGY",

    UnlockCost = {
        { Resource = "CLOTHES", Quantity = 200 },
        { Resource = "GOLD", Quantity = 1500 },
    },

    SellingResourceList={
        {
			ResourceMaxAmount = { Resource = "COAL", Quantity = 40 * multiplier },
			UnitPrice = { Resource = "GOLD", Quantity = 2 },
		},
		{
			ResourceMaxAmount = { Resource = "IRON", Quantity = 20 * multiplier },
			UnitPrice = { Resource = "GOLD", Quantity = 10 }
		},
        {
            ResourceMaxAmount = { Resource = "FISH", Quantity = 30 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
        {
            ResourceMaxAmount = { Resource = "WINE", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 160 }
        },
        {
            ResourceMaxAmount = { Resource = "BERRIES", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 8 }
        }
    },
    BuyingResourceList = {
        {
            ResourceMaxAmount = { Resource = "BREAD", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
        {
            ResourceMaxAmount = { Resource = "TOOL", Quantity = 20 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 10 }
        },
        {
            ResourceMaxAmount = { Resource = "SWORD", Quantity = 10 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 25 }
        },
        {
            ResourceMaxAmount = { Resource = "JEWELRY", Quantity = 10 * multiplier },
            UnitPrice = { Resource = "GOLD", Quantity = 150 }
        }
    }
});
